cairo-dock crashed with SIGSEGV in malloc_consolidate()

Bug #1285984 reported by satish kushawah on 2014-02-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cairo-Dock Plug-ins
Undecided
Matthieu Baerts
cairo-dock-plug-ins (Ubuntu)
Medium
Matthieu Baerts

Bug Description

After updating Ubuntu, cairo-dock is not working. So i closed the cairo-dock and again start it. while starting cairo-dock. it was started but show the error.

ProblemType: Crash
DistroRelease: Ubuntu 14.04
Package: cairo-dock-core 3.3.99.beta1.1~20140219~bzr1717-0ubuntu2
ProcVersionSignature: Ubuntu 3.13.0-13.33-generic 3.13.5
Uname: Linux 3.13.0-13-generic i686
ApportVersion: 2.13.2-0ubuntu5
Architecture: i386
CrashCounter: 1
CurrentDesktop: XFCE
Date: Fri Feb 28 10:37:33 2014
ExecutablePath: /usr/bin/cairo-dock
InstallationDate: Installed on 2013-06-07 (265 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release i386 (20130424)
ProcCmdline: cairo-dock
SegvAnalysis:
 Segfault happened at: 0xb6be3168 <malloc_consolidate+120>: cmp 0xc(%eax),%edi
 PC (0xb6be3168) ok
 source "0xc(%eax)" (0x0000000c) not located in a known VMA region (needed readable region)!
 destination "%edi" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: cairo-dock
StacktraceTop:
 malloc_consolidate (av=0xb6d1b420 <main_arena>) at malloc.c:4165
 _int_free (av=0xb6d1b420 <main_arena>, p=<optimized out>, have_lock=0) at malloc.c:4057
 ?? () from /usr/lib/i386-linux-gnu/libpixman-1.so.0
 pixman_image_unref () from /usr/lib/i386-linux-gnu/libpixman-1.so.0
 ?? () from /usr/lib/i386-linux-gnu/libcairo.so.2
Title: cairo-dock crashed with SIGSEGV in malloc_consolidate()
UpgradeStatus: Upgraded to trusty on 2014-01-17 (42 days ago)
UserGroups: adm cdrom dialout dip fax floppy fuse libvirtd lp lpadmin plugdev sambashare sudo tape video

StacktraceTop:
 malloc_consolidate (av=0xb6d1b420 <main_arena>) at malloc.c:4165
 _int_free (av=0xb6d1b420 <main_arena>, p=<optimized out>, have_lock=0) at malloc.c:4057
 __GI___libc_free (mem=<optimized out>) at malloc.c:2946
 _pixman_image_fini (image=image@entry=0x9170bd8) at ../../pixman/pixman-image.c:173
 pixman_image_unref (image=0x9170bd8) at ../../pixman/pixman-image.c:211

Changed in cairo-dock (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
information type: Private → Public
Matthieu Baerts (matttbe) wrote :

Hello and thank you for this bug report!

According to the Stacktrace, there was a crash when closing the dock.

@fabounet: it seems there was a crash because Indicator-Generic wanted to hide the icon during "CD_APPLET_STOP" action.
I just removed this useless hiding action but is it normal that there is a crash?

@satish kushawah:
> After updating Ubuntu, cairo-dock is not working. So i closed the cairo-dock and again start it.

When you say "After updating Ubuntu, cairo-dock is not working", can you give us more details? :-)

Changed in cairo-dock (Ubuntu):
status: New → In Progress
assignee: nobody → Matthieu Baerts (matttbe)
affects: cairo-dock (Ubuntu) → cairo-dock-plug-ins (Ubuntu)
Changed in cairo-dock-plug-ins (Ubuntu):
assignee: Matthieu Baerts (matttbe) → nobody
assignee: nobody → Matthieu Baerts (matttbe)
milestone: none → ubuntu-14.03
Changed in cairo-dock-plug-ins:
status: New → Fix Committed
assignee: nobody → Matthieu Baerts (matttbe)
milestone: none → 3.3.99.rc
Download full text (3.8 KiB)

it's never normal to have a crash ^_^
however, the applet shouldn't take any action when stopping, except
cleaning its data

2014-02-28 10:14 GMT+01:00 Matthieu Baerts <email address hidden>:

> Hello and thank you for this bug report!
>
> According to the Stacktrace, there was a crash when closing the dock.
>
> @fabounet: it seems there was a crash because Indicator-Generic wanted to
> hide the icon during "CD_APPLET_STOP" action.
> I just removed this useless hiding action but is it normal that there is a
> crash?
>
>
> @satish kushawah:
> > After updating Ubuntu, cairo-dock is not working. So i closed the
> cairo-dock and again start it.
>
> When you say "After updating Ubuntu, cairo-dock is not working", can you
> give us more details? :-)
>
> ** Changed in: cairo-dock (Ubuntu)
> Status: New => In Progress
>
> ** Changed in: cairo-dock (Ubuntu)
> Assignee: (unassigned) => Matthieu Baerts (matttbe)
>
> ** Package changed: cairo-dock (Ubuntu) => cairo-dock-plug-ins (Ubuntu)
>
> ** Changed in: cairo-dock-plug-ins (Ubuntu)
> Milestone: None => ubuntu-14.03
>
> ** Also affects: cairo-dock-plug-ins
> Importance: Undecided
> Status: New
>
> ** Changed in: cairo-dock-plug-ins
> Status: New => Fix Committed
>
> ** Changed in: cairo-dock-plug-ins
> Assignee: (unassigned) => Matthieu Baerts (matttbe)
>
> ** Changed in: cairo-dock-plug-ins
> Milestone: None => 3.3.99.rc
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Devs, which is subscribed to cairo-dock in Ubuntu.
> https://bugs.launchpad.net/bugs/1285984
>
> Title:
> cairo-dock crashed with SIGSEGV in malloc_consolidate()
>
> Status in Cairo-Dock: Plug-ins:
> Fix Committed
> Status in “cairo-dock-plug-ins” package in Ubuntu:
> In Progress
>
> Bug description:
> After updating Ubuntu, cairo-dock is not working. So i closed the
> cairo-dock and again start it. while starting cairo-dock. it was
> started but show the error.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 14.04
> Package: cairo-dock-core 3.3.99.beta1.1~20140219~bzr1717-0ubuntu2
> ProcVersionSignature: Ubuntu 3.13.0-13.33-generic 3.13.5
> Uname: Linux 3.13.0-13-generic i686
> ApportVersion: 2.13.2-0ubuntu5
> Architecture: i386
> CrashCounter: 1
> CurrentDesktop: XFCE
> Date: Fri Feb 28 10:37:33 2014
> ExecutablePath: /usr/bin/cairo-dock
> InstallationDate: Installed on 2013-06-07 (265 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release i386
> (20130424)
> ProcCmdline: cairo-dock
> SegvAnalysis:
> Segfault happened at: 0xb6be3168 <malloc_consolidate+120>: cmp
> 0xc(%eax),%edi
> PC (0xb6be3168) ok
> source "0xc(%eax)" (0x0000000c) not located in a known VMA region
> (needed readable region)!
> destination "%edi" ok
> SegvReason: reading NULL VMA
> Signal: 11
> SourcePackage: cairo-dock
> StacktraceTop:
> malloc_consolidate (av=0xb6d1b420 <main_arena>) at malloc.c:4165
> _int_free (av=0xb6d1b420 <main_arena>, p=<optimized out>, have_lock=0)
> at malloc.c:4057
> ?? () from /usr/lib/i386-linux-gnu/libpixman-1.so.0
> pixman_image_unref () from /usr/lib/i386-linux-gnu/li...

Read more...

Fabounet (fabounet03) wrote :
Download full text (4.2 KiB)

"Indicator-Generic wanted to hide the icon during "CD_APPLET_STOP" action."
why do you think so ?
I just see the icon being unref'ed, and the ImageBuffer being invalid at
the STOP time.
as if the applet reseted it before, but I don't see why

2014-03-03 21:16 GMT+01:00 Fabrice Rey <email address hidden>:

> it's never normal to have a crash ^_^
> however, the applet shouldn't take any action when stopping, except
> cleaning its data
>
>
> 2014-02-28 10:14 GMT+01:00 Matthieu Baerts <email address hidden>:
>
> Hello and thank you for this bug report!
>>
>> According to the Stacktrace, there was a crash when closing the dock.
>>
>> @fabounet: it seems there was a crash because Indicator-Generic wanted to
>> hide the icon during "CD_APPLET_STOP" action.
>> I just removed this useless hiding action but is it normal that there is
>> a crash?
>>
>>
>> @satish kushawah:
>> > After updating Ubuntu, cairo-dock is not working. So i closed the
>> cairo-dock and again start it.
>>
>> When you say "After updating Ubuntu, cairo-dock is not working", can you
>> give us more details? :-)
>>
>> ** Changed in: cairo-dock (Ubuntu)
>> Status: New => In Progress
>>
>> ** Changed in: cairo-dock (Ubuntu)
>> Assignee: (unassigned) => Matthieu Baerts (matttbe)
>>
>> ** Package changed: cairo-dock (Ubuntu) => cairo-dock-plug-ins (Ubuntu)
>>
>> ** Changed in: cairo-dock-plug-ins (Ubuntu)
>> Milestone: None => ubuntu-14.03
>>
>> ** Also affects: cairo-dock-plug-ins
>> Importance: Undecided
>> Status: New
>>
>> ** Changed in: cairo-dock-plug-ins
>> Status: New => Fix Committed
>>
>> ** Changed in: cairo-dock-plug-ins
>> Assignee: (unassigned) => Matthieu Baerts (matttbe)
>>
>> ** Changed in: cairo-dock-plug-ins
>> Milestone: None => 3.3.99.rc
>>
>> --
>> You received this bug notification because you are a member of Cairo-
>> Dock Devs, which is subscribed to cairo-dock in Ubuntu.
>> https://bugs.launchpad.net/bugs/1285984
>>
>> Title:
>> cairo-dock crashed with SIGSEGV in malloc_consolidate()
>>
>> Status in Cairo-Dock: Plug-ins:
>> Fix Committed
>> Status in “cairo-dock-plug-ins” package in Ubuntu:
>> In Progress
>>
>> Bug description:
>> After updating Ubuntu, cairo-dock is not working. So i closed the
>> cairo-dock and again start it. while starting cairo-dock. it was
>> started but show the error.
>>
>> ProblemType: Crash
>> DistroRelease: Ubuntu 14.04
>> Package: cairo-dock-core 3.3.99.beta1.1~20140219~bzr1717-0ubuntu2
>> ProcVersionSignature: Ubuntu 3.13.0-13.33-generic 3.13.5
>> Uname: Linux 3.13.0-13-generic i686
>> ApportVersion: 2.13.2-0ubuntu5
>> Architecture: i386
>> CrashCounter: 1
>> CurrentDesktop: XFCE
>> Date: Fri Feb 28 10:37:33 2014
>> ExecutablePath: /usr/bin/cairo-dock
>> InstallationDate: Installed on 2013-06-07 (265 days ago)
>> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release i386
>> (20130424)
>> ProcCmdline: cairo-dock
>> SegvAnalysis:
>> Segfault happened at: 0xb6be3168 <malloc_consolidate+120>: cmp
>> 0xc(%eax),%edi
>> PC (0xb6be3168) ok
>> source "0xc(%eax)" (0x0000000c) not located in a known VMA region
>> (needed readable region)!
>> ...

Read more...

Matthieu Baerts (matttbe) wrote :

> > "Indicator-Generic wanted to hide the icon during "CD_APPLET_STOP" action."
> why do you think so ?

When looking what is done when deactivating Indicator-Generic applet, I guess the only action that can unref an icon is when hiding the icon :-)
Is it possible that now the icon is removed or partially unref'ed and then CD_APPLET_STOP is called?

Matthieu Baerts (matttbe) wrote :

Note: it's possible that this applet has more than on instance.

Fabounet (fabounet03) wrote :
Download full text (3.2 KiB)

 "Is it possible that now the icon is removed or partially unref'ed and
then CD_APPLET_STOP is called?"
well, the dock destroys the icons that belongs to a dock when this one is
destroyed.
so it's possible that the icons created by the applet are already destroyed
before
actually, it's quite possible since this applet is a plug-in (= has no
icon, so no link to a dock).
a solution is to register to the "destroy" notification on the icons
created by the applet, and when the callback is called, remove it from its
internal list of icons.
(of course, the applet should take care of it when destroying the icons
itself, for instance by removing it from the list before unrefing it).

2014-03-03 22:22 GMT+01:00 Matthieu Baerts <email address hidden>:

> Note: it's possible that this applet has more than on instance.
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Devs, which is subscribed to cairo-dock-plug-ins in Ubuntu.
> https://bugs.launchpad.net/bugs/1285984
>
> Title:
> cairo-dock crashed with SIGSEGV in malloc_consolidate()
>
> Status in Cairo-Dock: Plug-ins:
> Fix Committed
> Status in “cairo-dock-plug-ins” package in Ubuntu:
> In Progress
>
> Bug description:
> After updating Ubuntu, cairo-dock is not working. So i closed the
> cairo-dock and again start it. while starting cairo-dock. it was
> started but show the error.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 14.04
> Package: cairo-dock-core 3.3.99.beta1.1~20140219~bzr1717-0ubuntu2
> ProcVersionSignature: Ubuntu 3.13.0-13.33-generic 3.13.5
> Uname: Linux 3.13.0-13-generic i686
> ApportVersion: 2.13.2-0ubuntu5
> Architecture: i386
> CrashCounter: 1
> CurrentDesktop: XFCE
> Date: Fri Feb 28 10:37:33 2014
> ExecutablePath: /usr/bin/cairo-dock
> InstallationDate: Installed on 2013-06-07 (265 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release i386
> (20130424)
> ProcCmdline: cairo-dock
> SegvAnalysis:
> Segfault happened at: 0xb6be3168 <malloc_consolidate+120>: cmp
> 0xc(%eax),%edi
> PC (0xb6be3168) ok
> source "0xc(%eax)" (0x0000000c) not located in a known VMA region
> (needed readable region)!
> destination "%edi" ok
> SegvReason: reading NULL VMA
> Signal: 11
> SourcePackage: cairo-dock
> StacktraceTop:
> malloc_consolidate (av=0xb6d1b420 <main_arena>) at malloc.c:4165
> _int_free (av=0xb6d1b420 <main_arena>, p=<optimized out>, have_lock=0)
> at malloc.c:4057
> ?? () from /usr/lib/i386-linux-gnu/libpixman-1.so.0
> pixman_image_unref () from /usr/lib/i386-linux-gnu/libpixman-1.so.0
> ?? () from /usr/lib/i386-linux-gnu/libcairo.so.2
> Title: cairo-dock crashed with SIGSEGV in malloc_consolidate()
> UpgradeStatus: Upgraded to trusty on 2014-01-17 (42 days ago)
> UserGroups: adm cdrom dialout dip fax floppy fuse libvirtd lp lpadmin
> plugdev sambashare sudo tape video
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/cairo-dock-plug-ins/+bug/1285984/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team
> Post to : <email address hidden>
>...

Read more...

Download full text (5.5 KiB)

Hi,

I took the updates after running "apt-get dist-upgrade" command in terminal after applying the updates. I was not able to view dock. So i exited from dock during exiting dock was crashed.

Satish Kushawah

On Tuesday, 4 March 2014 3:40 AM, Fabounet <email address hidden> wrote:

"Is it possible that now the icon is removed or partially unref'ed and
then CD_APPLET_STOP is called?"
well, the dock destroys the icons that belongs to a dock when this one is
destroyed.
so it's possible that the icons created by the applet are already destroyed
before
actually, it's quite possible since this applet is a plug-in (= has no
icon, so no link to a dock).
a solution is to register to the "destroy" notification on the icons
created by the applet, and when the callback is called, remove it from its
internal list of icons.
(of course, the applet should take care of it when destroying the icons
itself, for instance by removing it from the list before unrefing it).

2014-03-03 22:22 GMT+01:00 Matthieu Baerts <email address hidden>:

> Note: it's possible that this applet has more than on instance.
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Devs, which is subscribed to cairo-dock-plug-ins in Ubuntu.
> https://bugs.launchpad.net/bugs/1285984
>
> Title:
>  cairo-dock crashed with SIGSEGV in malloc_consolidate()
>
> Status in Cairo-Dock: Plug-ins:
>  Fix Committed
> Status in “cairo-dock-plug-ins” package in Ubuntu:
>  In Progress
>
> Bug description:
>  After updating Ubuntu, cairo-dock is not working. So i closed the
>  cairo-dock and again start it. while starting cairo-dock. it was
>  started but show the error.
>
>  ProblemType: Crash
>  DistroRelease: Ubuntu 14.04
>  Package: cairo-dock-core 3.3.99.beta1.1~20140219~bzr1717-0ubuntu2
>  ProcVersionSignature: Ubuntu 3.13.0-13.33-generic 3.13.5
>  Uname: Linux 3.13.0-13-generic i686
>  ApportVersion: 2.13.2-0ubuntu5
>  Architecture: i386
>  CrashCounter: 1
>  CurrentDesktop: XFCE
>  Date: Fri Feb 28 10:37:33 2014
>  ExecutablePath: /usr/bin/cairo-dock
>  InstallationDate: Installed on 2013-06-07 (265 days ago)
>  InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release i386
> (20130424)
>  ProcCmdline: cairo-dock
>  SegvAnalysis:
>    Segfault happened at: 0xb6be3168 <malloc_consolidate+120>:  cmp
>  0xc(%eax),%edi
>    PC (0xb6be3168) ok
>    source "0xc(%eax)" (0x0000000c) not located in a known VMA region
> (needed readable region)!
>    destination "%edi" ok
>  SegvReason: reading NULL VMA
>  Signal: 11
>  SourcePackage: cairo-dock
>  StacktraceTop:
>    malloc_consolidate (av=0xb6d1b420 <main_arena>) at malloc.c:4165
>    _int_free (av=0xb6d1b420 <main_arena>, p=<optimized out>, have_lock=0)
> at malloc.c:4057
>    ?? () from /usr/lib/i386-linux-gnu/libpixman-1.so.0
>    pixman_image_unref () from /usr/lib/i386-linux-gnu/libpixman-1.so.0
>    ?? () from /usr/lib/i386-linux-gnu/libcairo.so.2
>  Title: cairo-dock crashed with SIGSEGV in malloc_consolidate()
>  UpgradeStatus: Upgraded to trusty on 2014-01-17 (42 days ago)
>  UserGroups: adm cdrom dialout dip fax floppy fuse libvirtd lp lpadmin
> plugdev sambashare sudo tape vid...

Read more...

Matthieu Baerts (matttbe) wrote :

> a solution is to register to the "destroy" notification on the icons
> created by the applet, and when the callback is called, remove it from its
> internal list of icons.

@fabounet: but is it still really needed to do that? Because now this plugin no longer modifies its icons (by hiding them) when stopping the applet.

Changed in cairo-dock-plug-ins (Ubuntu):
status: In Progress → Fix Released
Changed in cairo-dock-plug-ins:
status: Fix Committed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers